org.apache.jmeter.report.processor

## Interface Aggregator

All Known Implementing Classes:
  MaxAggregator, MeanAggregator, MinAggregator, PercentileAggregator, SumAggregator, TimeRateAggregator

    public interface Aggregator

The interface Aggregator represents an aggregator used by graph consumers.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addValue(double value)` Adds the specified value to the storage of the current aggregator.
`long` `getCount()` Gets the number of aggregated values.
`double` `getResult()` Gets the result of the aggregation using stored values.
`void` `reset()` Reset the state of the aggregator.

### Method Detail

#### getCount

    long getCount()

Gets the number of aggregated values.

Returns:
  the number of aggregated values

#### getResult

    double getResult()

Gets the result of the aggregation using stored values.

Returns:
  the result of the aggregation.

#### addValue

    void addValue(double value)

Adds the specified value to the storage of the current aggregator.

Parameters:
  `value` - the value to aggregate

#### reset

    void reset()

Reset the state of the aggregator.